QGIS crash when zooming vector layer Postgresql with new line style

2011-08-31 01:19 PM - Anibal Alarcon

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: LINUX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14192

Description

There happens when I ZOOMING a POSTGRES vector layer with a line and arrow decoration (symbolproperties.png) causing the

CRASH, I followed it with QT creator (qgis_test_00.png) to discover the problem, but I can't... It happens only on LINUX

I attach the sql to restore a table with an example of the problem. Thanks

History

#1 - 2011-08-31 05:19 PM - Anibal Alarcon

- File symbolproperties_ok.png added

The correct image about style is symbolproperties_ok.png sorry.

#2 - 2011-09-01 08:16 AM - Giovanni Manghi

Hi, since you are on Linux (what distribution?) please launch QGIS from the terminal and then post here the error message when it crashes. Post also as a

log/text file the QT creator messages instead of a screenshot.

#3 - 2011-09-01 11:58 PM - Anibal Alarcon

- File archivo_nuevo.txt.zip added

Hi, Giovanni the distribution is GNU/Linux Debian Squeeze 2.6.32-5-amd64. This is the complete error message from the terminal:

devgis@laptopdell:~/apps/bin$ qgis

Python support ENABLED :-) 

/home/devgis/.qgis/python/plugins/openlayers/openlayers_plugin.py:218: DeprecationWarning: QgsCoordinateReferenceSystem.createFromEpsg() is

deprecated

  if not self.__coordRSGoogle.createFromEpsg(idEpsgRSGoogle):

Loaded : OpenLayers Plugin (package: openlayers)

Loaded : PostGIS manager (package: postgis_manager)

Loaded : Nomina VIA (package: datovia)

Loaded : SAI (package: selectallbyid)

Loaded : UPD (package: updatefromselect)

/usr/lib/python2.6/dist-packages/qgis/utils.py:283: DeprecationWarning: the sets module is deprecated

  mod = _builtin_import(name, globals, locals, fromlist, level)

Loaded : Plugin Installer (package: plugin_installer)

Loaded : fTools (package: fTools)
NOTICE:  no hay una transacción en curso

NOTICE:  no hay una transacción en curso

Warning: Query: SET application_name='Quantum GIS' returned 7 [ERROR:  parámetro de configuración no reconocido: «application_name»

]

NOTICE:  no hay una transacción en curso

NOTICE:  no hay una transacción en curso

Fatal: ASSERT failure in QVector<T>::at: "index out of range", file /usr/include/qt4/QtCore/qvector.h, line 338

Abortado

The Qgis crash and just disappears, is the same message I put in previous post (qgis_test_00.png )  ;)

The log/text from QT is attached.

Gracias por la atención.

Obrigado.

Anibal

#4 - 2011-09-02 03:58 AM - Martin Dobias

- Assignee set to Martin Dobias

#5 - 2011-09-27 05:25 AM - Sandro Santilli

Just happened to me with 820469f. 

Here's a backtrace:

Debug: /usr/src/qgis/qgis/src/core/qgsvectorlayer.cpp: 979: (draw) attrs: swath_num - 0

Debug: /usr/src/qgis/qgis/src/providers/postgres/qgspostgresprovider.cpp: 4196: (openCursor) Starting read-only transaction

Fatal: ASSERT failure in QVector<T>::at: "index out of range", file /usr/include/qt4/QtCore/qvector.h, line 338

Program received signal SIGABRT, Aborted.

0x00007ffff296fa75 in *__GI_raise (sig=<value optimized out>)

    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64

64      ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

        in ../nptl/sysdeps/unix/sysv/linux/raise.c

(gdb) bt

#0  0x00007ffff296fa75 in *__GI_raise (sig=<value optimized out>)

    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64

#1  0x00007ffff29735c0 in *__GI_abort () at abort.c:92

#2  0x0000000000528098 in myMessageOutput (type=QtFatalMsg,

    msg=0x25691a8 "ASSERT failure in QVector<T>::at: \\"index out of range\\", file /usr/include/qt4/QtCore/qvector.h, line 338")

    at /usr/src/qgis/qgis/src/app/main.cpp:177

#3  0x00007ffff4f887ee in qt_message_output(QtMsgType, char const*) ()

   from /usr/lib/libQtCore.so.4

#4  0x00007ffff4f88a22 in ?? () from /usr/lib/libQtCore.so.4

#5  0x00007ffff4f88bd5 in qFatal(char const*, ...) ()

   from /usr/lib/libQtCore.so.4

#6  0x00007ffff6148c39 in QVector<QPointF>::at (this=0x7fffffff8cd0, i=-1)

    at /usr/include/qt4/QtCore/qvector.h:338

#7  0x00007ffff6147b1c in QgsLineDecorationSymbolLayerV2::renderPolyline (

    this=0x2528300, points=..., context=...)

    at /usr/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.cpp:646

#8  0x00007ffff6134425 in QgsLineSymbolV2::renderPolyline (this=0x23a2b40,
    points=..., f=0x7fffffff8d70, context=..., layer=-1, selected=false)

    at /usr/src/qgis/qgis/src/core/symbology-ng/qgssymbolv2.cpp:501

#9  0x00007ffff615a96c in QgsFeatureRendererV2::renderFeature (this=0x25c3e90,

    feature=..., context=..., layer=-1, selected=false, drawVertexMarker=false)

    at /usr/src/qgis/qgis/src/core/symbology-ng/qgsrendererv2.cpp:222

#6 - 2011-10-03 12:30 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in commit:5677103.
